config/routes.rb
Rails.application.routes.draw do
  get 'users/index'

  devise_for :admin_users, ActiveAdmin::Devise.config
  ActiveAdmin.routes(self)

  root "users#index"
  resources :users

end

app/models/admin_user.rb
class AdminUser < ActiveRecord::Base
  # Include default devise modules. Others available are:
  # :confirmable, :lockable, :timeoutable and :omniauthable
  devise :database_authenticatable, 
         :recoverable, :rememberable, :trackable, :validatable
end

app/models/user.rb
class User < ActiveRecord::Base
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
  # Prevent CSRF attacks by raising an exception.
  # For APIs, you may want to use :null_session instead.
  protect_from_forgery with: :exception
end

app/controllers/users_controller.rb
class UsersController < ApplicationController

  def index
    @users = User.all
  end

  def new

    @user = User.new

  end

  def create

    @user = User.new(user_params)
    @user.save
    redirect_to users_path
  end

  def edit

    @user = User.find(params[:id])

  end

  def update

    @user = User.find(params[:id])
    @user.update(user_params)
    redirect_to users_path

  end


  def destroy

    @user = User.find(params[:id])
    @user.destroy
    redirect_to users_path

  end

  private
  def user_params

    params.require(:user).permit(:name,:phone,:id,:email)

  end

end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/users_helper.rb
module UsersHelper
end

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
<head>
  <title>Torolabsapp</title>
  <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track' => true %>
  <%= javascript_include_tag 'application', 'data-turbolinks-track' => true %>
  <%= csrf_meta_tags %>
</head>
<body>

<%= yield %>

</body>
</html>

app/views/users/edit.html.erb
<%= form_for @user do |f| %>

              <h2>Edit User <%= @user.name %></h2>
              <%= f.text_field :name, :placeholder => "Name" %>

              <%= f.text_field :phone, :placeholder => "Phone" %>

              <%= f.text_field :email, :placeholder => "Email" %>

              <%= f.submit 'Save' %>

<% end %>

app/views/users/index.html.erb
<br>
<center><h1>Users</h1></center>
<br>


<%= link_to 'Active Admin', admin_dashboard_path %>
<%= link_to 'New user', new_user_path %>


<table>
  <thead>
    <tr>
      <th>Name</th>
      <th>Phone</th>
      <th>E-mail</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @users.each do |user| %>
      <tr>
        <td><%= user.name %></td>
        <td><%= user.phone %></td>
        <td><%= user.email %></td>
        <td><%= link_to "Edit", edit_user_path(user)%></td>
        <td><%= link_to "Delete", user, method: :delete, data: {confirm: "Are you sure?"}%></td>

      </tr>
    <% end %>
  </tbody>
</table>

app/views/users/new.html.erb
<%= form_for (@user) do |f| %>

              <h2>New User</h2>
              <%= f.text_field :name, :placeholder => "Name" %>

              <%= f.text_field :phone, :placeholder => "Phone" %>

              <%= f.text_field :email, :placeholder => "Email" %>

              <%= f.submit 'Save' %>

<% end %>